#include <gb.h>
#include "hiscore.h"
#include "font.c"

/* these variable MUST be created 
   they are used by the highscore routines to save the 
   top 5 names and scores
*/
UBYTE word[5][12];
unsigned long int scores[5];

/* this is the variable you put the most recent score in */
long score;

void main (void)
{
  UBYTE placing;

  set_bkg_data (128,128,(unsigned char *)font);

  SWITCH_ROM_MBC1(1);
  
  load_hiscore(0);

  show_scores (0);

  placing = add_new_score(100);
  show_scores (placing);

  placing = add_new_score(200);
  show_scores (placing);

  placing = add_new_score(150);
  show_scores (placing);

  placing = add_new_score(32499);
  show_scores (placing);

  save_hiscore(0);

  HIDE_BKG;
  DISPLAY_OFF;
}



